Skip to content

Create a PEP and sanctions screening job for business entities

Request

Creates a new PEP and sanctions screening job.

Security
oauth2_client_credentials or oauth2_authorization_code
Query
pepSanctionBusinessEntityJobIdstring, [ 4 .. 63 ] characters(pep_sanction_business_entity_job_id)required

REQUIRED. The ID to use for the job, which will become the final component of the job's resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

Bodyapplication/json

Required. The PEP and sanctions screening job to create.

namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: pepSanctionBusinessEntityJobs/{pep_sanction_business_entity_job} correct_name_format // name must follow format 'pepSanctionBusinessEntityJobs/*'

webhookUristring or null, (uri), <= 2048 characters(webhook_uri)

(OPTIONAL) Optional. A webhook URL to call for status updates when the job is run.

curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/pepSanctionBusinessEntityJobs?pepSanctionBusinessEntityJobId=pep-sanction-screen-001' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "pepSanctionBusinessEntityJobs/pep-sanction-screen-2024-0127-743891",
    "createTime": "2023-01-15T01:30:15.01Z",
    "updateTime": "2023-01-15T01:30:15.01Z",
    "webhookUri": "https://api.example.com/webhooks"
  }'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: pepSanctionBusinessEntityJobs/{pep_sanction_business_entity_job} correct_name_format // name must follow format 'pepSanctionBusinessEntityJobs/*'

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the job was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the job was most recently updated.

webhookUristring or null, (uri), <= 2048 characters(webhook_uri)

(OPTIONAL) Optional. A webhook URL to call for status updates when the job is run.

Response
{ "name": "pepSanctionBusinessEntityJobs/pep-sanction-screen-2024-0127-743891", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "webhookUri": "https://api.example.com/webhooks" }